SDL_RenderRect(3)

NAME
SDL_RenderRect - Draw a rectangle on the current rendering target at subpixel precision.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RenderRect(SDL_Renderer *renderer, const SDL_FRect *rect);

FUNCTION PARAMETERS

renderer
    The renderer which should draw a rectangle.

rect
    A pointer to the destination rectangle, or NULL to outline the entire rendering target.

RETURN VALUE
Returns 0 on success, or -1 on error

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RenderRects(3)